IXP_SETTIMER(3)

NAME

ixp_settimer

SYNOPSIS
  #include <ixp.h>

  long ixp_settimer(IxpServer *srv, long msec, void (*fn)(long, void *), void *aux);

PARAMETERS

msec
    The timeout in milliseconds.

fn  The function to call after ImsecR milliseconds have elapsed.

aux An arbitrary argument to pass to IfnR when it is called.

DESCRIPTION

Initializes a callback-based timer to be triggerred after ImsecR milliseconds. The timer is passed its id number and the value of IauxR.

RETURN VALUE

Returns the new timer's unique id number.

SEE ALSO

ixp_unsettimer(3), ixp_serverloop(3)